Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO > Class Template Reference

`#include <OGeomBase.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >:
[legend]

## Public Types

typedef INFO | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
typedef INFO | info_type
typedef OSchema< INFO > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OGeomBaseSchema ()
| OGeomBaseSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OGeomBaseSchema (const OGeomBaseSchema &iCopy)
| Copy constructor.
virtual void | reset ()
virtual bool | valid () const
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds.
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Detailed Description

template<class INFO>
class Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >

This class holds properties common to all classes with a physical volume.

- selfBounds
- childBounds (optional)
- GeomParams (optional)
- UserProperties (optional)

This class is used to encapsulate common functionality of the real Geometry schema classes, like OPoints and OPolyMesh and so on

Definition at line 58 of file OGeomBase.h.

## Member Typedef Documentation

## info_type

template<class INFO>

typedef INFO Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::info_type

Definition at line 65 of file OGeomBase.h.

## Constructor & Destructor Documentation

## OGeomBaseSchema() [1/3]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::OGeomBaseSchema | ( |  | ) |

inline

The default constructor creates an empty OSchema. Used to create "NULL/invalid" instances.

Definition at line 74 of file OGeomBase.h.

Referenced by OGeomBaseSchema().

Here is the caller graph for this function:

## OGeomBaseSchema() [2/3]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::OGeomBaseSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument(),
|  | const Argument & | iArg3 = Argument() )

inline

Delegates to Abc/OSchema, and then creates always-present properties

Definition at line 78 of file OGeomBase.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::OSchema(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSampling(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSamplingIndex(), init(), and Alembic::Abc::ALEMBIC_VERSION_NS::IsSparse().

Here is the call graph for this function:

## OGeomBaseSchema() [3/3]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::OGeomBaseSchema | ( | const OGeomBaseSchema< INFO > & | iCopy | ) |

inline

Copy constructor.

Definition at line 104 of file OGeomBase.h.

References OGeomBaseSchema(), and Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >::OSchema().

Here is the call graph for this function:

## Member Function Documentation

## createSelfBoundsProperty()

template<class INFO>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::createSelfBoundsProperty | ( | uint32_t | iTsIndex,
|  | size_t | iNumSamples )

inline protected

Creates the self bounds.

Definition at line 201 of file OGeomBase.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END, Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >::getPtr(), and m_selfBoundsProperty.

Referenced by init().

Here is the call graph for this function:
Here is the caller graph for this function:

## getArbGeomParams()

template<class INFO>

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::getArbGeomParams | ( |  | ) |

inline

Definition at line 124 of file OGeomBase.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END, Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >::getPtr(), and m_arbGeomParams.

Here is the call graph for this function:

## getChildBoundsProperty()

template<class INFO>

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::getChildBoundsProperty | ( |  | ) |

inline

Definition at line 164 of file OGeomBase.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END, Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >::getPtr(), m_childBoundsProperty, and m_selfBoundsProperty.

Here is the call graph for this function:

## getUserProperties()

template<class INFO>

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::getUserProperties | ( |  | ) |

inline

Definition at line 144 of file OGeomBase.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END, Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >::getPtr(), and m_userProperties.

Here is the call graph for this function:

## init()

template<class INFO>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::init | ( | uint32_t | iTsIndex,
|  | bool | isSparse )

inline protected

Definition at line 188 of file OGeomBase.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END_RESET, and createSelfBoundsProperty().

Referenced by OGeomBaseSchema().

Here is the call graph for this function:
Here is the caller graph for this function:

## reset()

template<class INFO>

virtual void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::reset | ( |  | ) |

inline virtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema.

Definition at line 110 of file OGeomBase.h.

References m_arbGeomParams, m_childBoundsProperty, m_selfBoundsProperty, and m_userProperties.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::reset(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::reset(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::reset(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::reset(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::reset(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::reset().

Here is the caller graph for this function:

## valid()

template<class INFO>

virtual bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::valid | ( |  | ) | const

inline virtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema.

Definition at line 119 of file OGeomBase.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::valid(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::valid(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::valid(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::valid(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::valid(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::valid().

Here is the caller graph for this function:

## Member Data Documentation

## m_arbGeomParams

template<class INFO>

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::m_arbGeomParams

protected

Definition at line 225 of file OGeomBase.h.

Referenced by getArbGeomParams(), and reset().

## m_childBoundsProperty

template<class INFO>

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::m_childBoundsProperty

protected

Definition at line 223 of file OGeomBase.h.

Referenced by getChildBoundsProperty(), and reset().

## m_selfBoundsProperty

template<class INFO>

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::m_selfBoundsProperty

protected

Definition at line 222 of file OGeomBase.h.

Referenced by createSelfBoundsProperty(), getChildBoundsProperty(), and reset().

## m_userProperties

template<class INFO>

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::m_userProperties

protected

Definition at line 226 of file OGeomBase.h.

Referenced by getUserProperties(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OGeomBase.h